Gets PHP script owner's UID

- « getmypid

- getopt »

- PHP Manual
- PHP Options/Info Functions
- Gets PHP script owner's UID

# getmyuid

(PHP 4, PHP 5, PHP 7, PHP 8)

getmyuid — Gets PHP script owner's UID

### Description

getmyuid(): int|false

Gets the user ID of the current script.

### Parameters

This function has no parameters.

### Return Values

Returns the user ID of the current script, or `false` on error.

### See Also

- getmygid() - Get PHP script owner's GID
- getmypid() - Gets PHP's process ID
- get_current_user() - Gets the name of the owner of the current PHP script
- getmyinode() - Gets the inode of the current script
- getlastmod() - Gets time of last page modification